メインコンテンツへスキップ
GET
https://{tenantDomain}/api/v2
/
connection-profiles
/
templates
/
{id}
Get Connection Profile Template
curl --request GET \
  --url https://{tenantDomain}/api/v2/connection-profiles/templates/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenantDomain}/api/v2/connection-profiles/templates/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}/api/v2/connection-profiles/templates/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "display_name": "<string>",
  "template": {
    "name": "<string>",
    "organization": {},
    "connection_name_prefix_template": "<string>",
    "enabled_features": [],
    "connection_config": {},
    "strategy_overrides": {
      "pingfederate": {
        "enabled_features": [],
        "connection_config": {}
      },
      "ad": {
        "enabled_features": [],
        "connection_config": {}
      },
      "adfs": {
        "enabled_features": [],
        "connection_config": {}
      },
      "waad": {
        "enabled_features": [],
        "connection_config": {}
      },
      "google-apps": {
        "enabled_features": [],
        "connection_config": {}
      },
      "okta": {
        "enabled_features": [],
        "connection_config": {}
      },
      "oidc": {
        "enabled_features": [],
        "connection_config": {}
      },
      "samlp": {
        "enabled_features": [],
        "connection_config": {}
      }
    }
  }
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

id
string
必須

ID of the connection-profile-template to retrieve.

レスポンス

Connection Profile Template successfully retrieved.

id
string

The id of the template.

display_name
string

The user-friendly name of the template displayed in the UI.

template
object

The structure of the template, which can be used as the payload for creating or updating a Connection Profile.